Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface GLISTPQ

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GLISTPQImpl

    public interface GLISTPQ

extends ANY

A representation of the model object 'GLISTPQ'.

The following features are supported:

- `Head`
- `Increment`
- `Denominator`
- `Period`

See Also:
  `CDAR2Package.getGLISTPQ()`

Method Summary
`java.math.BigInteger` | `getDenominator()` Returns the value of the 'Denominator' attribute.
`PQ` | `getHead()` Returns the value of the 'Head' containment reference.
`PQ` | `getIncrement()` Returns the value of the 'Increment' containment reference.
`java.math.BigInteger` | `getPeriod()` Returns the value of the 'Period' attribute.
`void` | `setDenominator(java.math.BigInteger value)` Sets the value of the '`Denominator`' attribute.
`void` | `setHead(PQ value)` Sets the value of the '`Head`' containment reference.
`void` | `setIncrement(PQ value)` Sets the value of the '`Increment`' containment reference.
`void` | `setPeriod(java.math.BigInteger value)` Sets the value of the '`Period`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHead

    PQ getHead()

  Returns the value of the 'Head' containment reference. This is the start-value of the generated list.

  Returns:
    the value of the 'Head' containment reference.
  See Also:
    `setHead(PQ)`, `CDAR2Package.getGLISTPQ_Head()`

### setHead

    void setHead(PQ value)

  Sets the value of the '`Head`' containment reference.

  Parameters:
    `value` - the new value of the 'Head' containment reference.
  See Also:
    `getHead()`

### getIncrement

    PQ getIncrement()

  Returns the value of the 'Increment' containment reference. The difference between one value and its previous different value. For example, to generate the sequence (1; 4; 7; 10; 13; ...) the increment is 3; likewise to generate the sequence (1; 1; 4; 4; 7; 7; 10; 10; 13; 13; ...) the increment is also 3.

  Returns:
    the value of the 'Increment' containment reference.
  See Also:
    `setIncrement(PQ)`, `CDAR2Package.getGLISTPQ_Increment()`

### setIncrement

    void setIncrement(PQ value)

  Sets the value of the '`Increment`' containment reference.

  Parameters:
    `value` - the new value of the 'Increment' containment reference.
  See Also:
    `getIncrement()`

### getDenominator

    java.math.BigInteger getDenominator()

  Returns the value of the 'Denominator' attribute. The integer by which the index for the sequence is divided, effectively the number of times the sequence generates the same sequence item value before incrementing to the next sequence item value. For example, to generate the sequence (1; 1; 1; 2; 2; 2; 3; 3; 3; ...) the denominator is 3.

  Returns:
    the value of the 'Denominator' attribute.
  See Also:
    `setDenominator(BigInteger)`, `CDAR2Package.getGLISTPQ_Denominator()`

### setDenominator

    void setDenominator(java.math.BigInteger value)

  Sets the value of the '`Denominator`' attribute.

  Parameters:
    `value` - the new value of the 'Denominator' attribute.
  See Also:
    `getDenominator()`

### getPeriod

    java.math.BigInteger getPeriod()

  Returns the value of the 'Period' attribute. If non-NULL, specifies that the sequence alternates, i.e., after this many increments, the sequence item values roll over to start from the initial sequence item value. For example, the sequence (1; 2; 3; 1; 2; 3; 1; 2; 3; ...) has period 3; also the sequence (1; 1; 2; 2; 3; 3; 1; 1; 2; 2; 3; 3; ...) has period 3 too.

  Returns:
    the value of the 'Period' attribute.
  See Also:
    `setPeriod(BigInteger)`, `CDAR2Package.getGLISTPQ_Period()`

### setPeriod

    void setPeriod(java.math.BigInteger value)

  Sets the value of the '`Period`' attribute.

  Parameters:
    `value` - the new value of the 'Period' attribute.
  See Also:
    `getPeriod()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD